<template>
    <div class="white-block">
        <div class="row">
            <div class="padding">
                <h3>{{data.title}}</h3>
            </div>
        </div>
        <hr>
        <div class="padding ui-checkbox">
            <ui-checkbox v-model="checked"></ui-checkbox>
            <p style="font-size: 14px;cursor: pointer;" @click="checked = !checked">
                {{data.description}} Стоимость услуги {{data.price}}  ₽.

                <a :href="data.document_url" target="_blank" v-if="data.document_url" style="display: block">{{data.document_title}}</a>

            </p>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'additional-chunk-block',
        props: {
            data: {
                type: Object,
                required: true
            },
            value: {
                type: Boolean
            }
        },
        created () {
            this.checked =  this.data.state;
        },
        data () {
            return {
                checked: false
            }
        },
        watch: {
            checked(state) {
                this.$emit('input', {...this.data, state});
                this.$emit('setAdditionalService', {...this.data, state})
            },
        },
        methods: {
            openRules () {

            }
        }
    }
</script>

<style scoped>
    p, h3 {
        display: inline-block;
    }
</style>
